Subject: xelatex won't render fonts correctly without full texlive
From: John Kehayias <[email-masked]>
To: Guix Bugs <[email-masked]>
Date: Tue, 28 Mar 2023 04:14:08 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi TeX Guixers,

Ran into a curious problem today of xelatex not properly rendering what I think is a mapping/ligature issue: the usual TeX ``something'' quote syntax should become proper double quotes (for English at least) but don't.

Here is a simple test tex file:

--8<---------------cut here---------------start------------->8---
\documentclass{article}
\begin{document}
``test quote''
\end{document}
--8<---------------cut here---------------end--------------->8---

If you compile it with

--8<---------------cut here---------------start------------->8---
guix shell texlive-base texlive-fontspec -- xelatex test.tex
--8<---------------cut here---------------end--------------->8---

you'll see the same quotes as in the tex file. Full log (test-bad.log) attached but the relevant line looks to me like

--8<---------------cut here---------------start------------->8---
Document Class: article 2020/04/10 v1.4m Standard LaTeX document class
(/gnu/store/npkjqvkgzj3pfhqwbcc504kgp1z6fj8s-profile/share/texmf-dist/tex/latex/base/size10.clo
File: size10.clo 2020/04/10 v1.4m Standard LaTeX file (size option)
Font mapping `tex-text.tec' for font `[lmroman10-regular]:mapping=tex-text;' not found.
)
--8<---------------cut here---------------end--------------->8---

I did try adding various packages, changing fonts and font settings, but to no avail.

Meanwhile, using

--8<---------------cut here---------------start------------->8---
guix shell texlive -- xelatex test.tex
--8<---------------cut here---------------end--------------->8---

gives a nicely rendered double quote mark. The log (also attached as test.log) shows no such similar message.

Some searching the most succinct and relevant summary I think is here <https://tex.stackexchange.com/questions/193412/what-is-happening-to-the-quotes>

Anyway, seems like something is missing when we use the minimal packages, but I can't seem to find what to add to guix shell to change the output of the pdf. Probably it is not captured in a package or is otherwise lost?

Any ideas?

Thanks!
John

PS: I don't think it is related, but xelatex will complain about not finding a fontspec.cfg either. I made one locally from what it used to be, but didn't change the output for me. I think it went missing here:

<https://git.savannah.gnu.org/cgit/guix.git/commit/?id=ad5dddc610fa19e78aaa1885106a419e55f0322b>